Bug 730622 - [PATCH] Actually build shapely arch-specific bits
Summary: [PATCH] Actually build shapely arch-specific bits
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-shapely
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 06:38 UTC by Ville Skyttä
Modified: 2011-09-07 03:41 UTC (History)
1 user (show)

Fixed In Version: python-shapely-1.2.12-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-31 01:25:04 UTC


Attachments (Terms of Use)
Actually build arch specific bits (1.47 KB, patch)
2011-08-15 06:38 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2011-08-15 06:38:17 UTC
Created attachment 518226 [details]
Actually build arch specific bits

From the build log at http://kojipkgs.fedoraproject.org/packages/python-shapely/1.2.11/1.fc17/data/logs/x86_64/build.log

[...]
building 'shapely.speedups._speedups' extension
creating build/temp.linux-x86_64-2.7
creating build/temp.linux-x86_64-2.7/shapely
creating build/temp.linux-x86_64-2.7/shapely/speedups
gcc [...] -o build/temp.linux-x86_64-2.7/shapely/speedups/_speedups.o
shapely/speedups/_speedups.c:219:20: fatal error: geos_c.h: No such file or directory
compilation terminated.
command 'gcc' failed with exit status 1
Warning: The C extension could not be compiled, speedups are not enabled.
Failure information, if any, is above.
I'm retrying the build without the C extension now.
[...]

Fix attached.

Comment 1 Volker Fröhlich 2011-08-15 20:53:32 UTC
Thank you for the patch!

And now to something completely different:

"""
Hi all,

I broke prepared geometries in 1.2.11 and the fix is in 1.2.12, along
with better tests so this doesn't happen again. I've deleted the
1.2.11 release from PyPI. Windows users should revert to
http://pypi.python.org/pypi/Shapely/1.2.10 until 1.2.12 distributions
are available.

Apologetically,

-- 
Sean
___________
"""

I'll create a 1.2.12 build in the next days.

Comment 2 Fedora Update System 2011-08-16 22:15:12 UTC
python-shapely-1.2.12-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-shapely-1.2.12-1.fc15

Comment 3 Fedora Update System 2011-08-16 22:15:52 UTC
python-shapely-1.2.12-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-shapely-1.2.12-1.fc16

Comment 4 Fedora Update System 2011-08-17 20:24:01 UTC
Package python-shapely-1.2.12-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-shapely-1.2.12-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/python-shapely-1.2.12-1.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-31 01:24:59 UTC
python-shapely-1.2.12-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-09-07 03:41:51 UTC
python-shapely-1.2.12-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.